Project Chrono: chrono::synchrono::SynEnvironmentMessage Class Reference

Public Member Functions | Public Attributes | List of all members
chrono::synchrono::SynEnvironmentMessage Class Reference
SYNCHRONO module » Flatbuffer Messages

## Description

The environment agent state class This should be inherited and stored with additional state information relevant to the environment agent Should hold frequently passed data, such as synchronization information For infrequently passed data, please see SynAgentDescriptionMessage.

`#include <SynEnvironmentMessage.h>`

Inheritance diagram for chrono::synchrono::SynEnvironmentMessage:
[legend]
Collaboration diagram for chrono::synchrono::SynEnvironmentMessage:
[legend]

## Public Member Functions
| SynEnvironmentMessage (AgentKey source_key=AgentKey(), AgentKey destination_key=AgentKey())
| Constructor.
virtual void | ConvertFromFlatBuffers (const SynFlatBuffers::Message *message) override
| Converts a received flatbuffer message to a SynMessage.
virtual FlatBufferMessage | ConvertToFlatBuffers (flatbuffers::FlatBufferBuilder &builder) const override
| Converts this object to a flatbuffer message.
Public Member Functions inherited from chrono::synchrono::SynMessage
virtual | ~SynMessage ()
| Destroy the SynMessage object.
AgentKey | GetSourceKey ()
| Get the key of the source of this message.
void | SetSourceKey (AgentKey source_key)
| Set the key of the source of this message.
AgentKey | GetDestinationKey ()
| Get the key of the destination for this message.
SynFlatBuffers::Type | GetMessageType ()
void | SetMessageType (SynFlatBuffers::Type msg_type)

## Public Attributes
std::shared_ptr< SynMAPMessage > | map_message
std::shared_ptr< SynSPATMessage > | spat_message
Public Attributes inherited from chrono::synchrono::SynMessage
double | time
| simulation time

## Additional Inherited Members
Protected Member Functions inherited from chrono::synchrono::SynMessage
| SynMessage (AgentKey source_key=AgentKey(), AgentKey destination_key=AgentKey())
| Constructor.
Protected Attributes inherited from chrono::synchrono::SynMessage
AgentKey | m_source_key
| key for the source which sent this message
AgentKey | m_destination_key
| key for the destination of this message
SynFlatBuffers::Type | m_msg_type
| Type of message that we contain.

## Constructor & Destructor Documentation

## ◆ SynEnvironmentMessage()

chrono::synchrono::SynEnvironmentMessage::SynEnvironmentMessage | ( | AgentKey | source_key = AgentKey(),
|  | AgentKey | destination_key = AgentKey() )

Constructor.

Parameters

  source_key | the id of the source to which the message is sent from
  destination_key | the id of the destination to which the message is sent to

## Member Function Documentation

## ◆ ConvertFromFlatBuffers()

void chrono::synchrono::SynEnvironmentMessage::ConvertFromFlatBuffers | ( | const SynFlatBuffers::Message * | message | ) |
| overridevirtual

Converts a received flatbuffer message to a SynMessage.

Parameters

  message | the flatbuffer message to convert to a SynMessage

Implements chrono::synchrono::SynMessage.

## ◆ ConvertToFlatBuffers()

FlatBufferMessage chrono::synchrono::SynEnvironmentMessage::ConvertToFlatBuffers | ( | flatbuffers::FlatBufferBuilder & | builder | ) | const
| overridevirtual

Converts this object to a flatbuffer message.

Parameters

  builder | a flatbuffer builder to construct the message with

Returns
  FlatBufferMessage the constructed flatbuffer message

Implements chrono::synchrono::SynMessage.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono_synchrono/flatbuffer/message/SynEnvironmentMessage.h
- D:/W/B/src/chrono-9.0.1/src/chrono_synchrono/flatbuffer/message/SynEnvironmentMessage.cpp